Endpoint Examples

/rankings

GET /rankings

Get available rankings.

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.
Example: 334336

Code Examples

curl --request GET \
     --url https://api.lightcast.io/alumni-pathways/rankings \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    "company",
    "title"
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

POST /rankings/\{rankingDimension}

Filter for specific items in a dataset.

Path Parameters

NameTypeDescription
rankingDimensionstringSpecifies the dimension used to rank the results. The returned rankings are ordered based on the values of the selected dimension.
Example: title_name

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.
Example: 334336

Code Examples

curl --request POST \
     --url https://api.lightcast.io/alumni-pathways/rankings/rankingDimension \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "key": null,
          "value": "Best Buy",
          "employed_in_field": 2,
          "unique_schools": 4,
          "alumni": 3
        },
        {
          "key": "95682034",
          "value": "United States Army",
          "employed_in_field": 0,
          "unique_schools": 5,
          "alumni": 3
        }
      ],
      "ranking_dimension": "company",
      "limit": 20,
      "rank_by": "alumni"
    },
    "totals": {
      "employed_in_field": 49,
      "unique_schools": 99,
      "alumni": 100
    }
  }
}
// Your request was not valid (bad parameter names or values).


{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}
}
// The id you requested was not found.


{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

POST /rankings/\{rankingDimension}/rankings/\{nestedRankingDimension}

Get a nested ranking (e.g. top companies, then top skills per company).

Path Parameters

NameTypeDescription
rankingDimensionstringSpecifies the dimension used to rank the results. The returned rankings are ordered based on the values of the selected dimension.
Example: title_name
nestedRankingDimensionstringSpecifies the dimension used for nested rankings.
Example: title_name

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.
Example: 334336

Code Examples

curl --request POST \
     --url https://api.lightcast.io/alumni-pathways/rankings/rankingDimension/rankings/nestedRankingDimension \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "value": "Eldridge Electric, Inc",
          "alumni": 1,
          "ranking": {
            "buckets": [
              {
                "key": "id123",
                "value": "Eldridge Electric, Inc",
                "alumni": 1
              }
            ],
            "ranking_dimension": "company",
            "limit": 5,
            "rank_by": "alumni"
          }
        }
      ],
      "ranking_dimension": "company",
      "limit": 5,
      "rank_by": "alumni"
    },
    "totals": {
      "alumni": 1
    }
  }
}
// Your request was not valid (bad parameter names or values).


{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}
}
// The id you requested was not found.


{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

POST /rankings/\{rankingDimension}/rankings/\{nestedRankingDimension}/intersect

Intersection matrix of any two facets (e.g. programs and occupations). Data is returned as a matrix. employed_in_field_pct and value links create the contents of the intersections between the two facets (the sources and targets nodes). The employed_in_field_pct values refer to the degree to which the alumni are employed in field (e.g. value of 1 corresponds to 100% employed-in-field). The value values refer to the number of profiles shared between the two facets. Look at the account meta to get a list of available facets.

Path Parameters

NameTypeDescription
rankingDimensionstringSpecifies the dimension used to rank the results. The returned rankings are ordered based on the values of the selected dimension.
Example: title_name
nestedRankingDimensionstringSpecifies the dimension used for nested rankings.
Example: title_name

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.
Example: 334336

Code Examples

curl --request POST \
     --url api.lightcast.io/alumni-pathways/rankings/rankingDimension/rankings/nestedRankingDimension/intersect \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "links": {
      "value": [
        [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          1,
          0,
          0,
          1,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          1
        ],
        [
          0,
          1,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          2
        ],
        [
          12,
          9,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          23
        ]
      ],
      "employed_in_field_pct": [
        [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          1,
          0,
          0,
          1,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0
        ],
        [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0
        ],
        [
          0.67,
          0.44,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0.52
        ]
      ]
    },
    "nodes": {
      "sources": [
        "37422702",
        "95682034",
        "37394732",
        "37844418",
        "39428791",
        "39850046",
        "40125822",
        "99483306",
        "100021586",
        "105498897",
        "106302591",
        "107528546",
        "14481564",
        "16095965",
        "1629540",
        "1714950",
        "2217360",
        "2271407",
        "2295140",
        "2661774",
        "Other"
      ],
      "targets": [
        "SG91c3RvbiwgVFg=",
        "U2FuIEFudG9uaW8sIFRY",
        "RGFsbGFzLCBUWA==",
        "QXVzdGluLCBUWA==",
        "Rm9ydCBXb3J0aCwgVFg=",
        "U3ByaW5nLCBUWA==",
        "Q29ucm9lLCBUWA==",
        "SmFja3NvbnZpbGxlLCBGTA==",
        "TWNLaW5uZXksIFRY",
        "Tm9ydGggUmljaGxhbmQgSGlsbHMsIFRY",
        "U2VhdHRsZSwgV0E=",
        "Q29sbGVnZSBTdGF0aW9uLCBUWA==",
        "Q29tbWVyY2UsIFRY",
        "Q2VkYXIgSGlsbCwgVFg=",
        "Q2hpY2FnbywgSUw=",
        "Q2xldmVsYW5kLCBPSA==",
        "Q3lwcmVzcywgVFg=",
        "QW1hcmlsbG8sIFRY",
        "QXVicmV5LCBUWA==",
        "QXpsZSwgVFg=",
        "Other"
      ]
    },
    "source_dimension": "company",
    "target_dimension": "city",
    "total": 100
  }
}